#!/bin/bash

module load gcc

# species ID (4 letter species code + 3 letter annotation code) - will become database name
species_id=<xxxx.ftc>

# Path to working directory - where input and outputs will be stored
work=/path/to/species_database/genome_annotations/${species_id}

# Protein fasta
n_fasta=${work}/${species_id}.peptide.fa.gz

# Move to working directory
cd $work

# create blast database
cmd=(
    makeblastdb
    -in -
    -dbtype prot
    -title $species_id
    -out $species_id
    -parse_seqids
    -logfile $species_id
)

# unzip fasta and run command
gunzip -c $n_fasta | ${cmd[@]}
